Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.rightToLeft = true;
</script>
<template>
<Viewer :report="report" :options="options" />
</template>appearance.rightToLeft = true — mirrors the viewer's toolbar and panels for RTL reading.

The viewer can be flipped into right-to-left layout for RTL languages with a single appearance option.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="options"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        this.options = new Stimulsoft.Viewer.StiViewerOptions();
        this.options.appearance.rightToLeft = true;
    }
}

How it works. The option re-lays the entire viewer UI, so it reads correctly in right-to-left locales.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.